## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XStringAdapterAllocator Class Reference

`#include <XStringAdapterAllocator.hpp>`

Collaboration diagram for XStringAdapterAllocator:

List of all members.

## Public Types

- typedef XStringAdapter string_type
- typedef ReusableArenaAllocator<
  string_type> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XStringAdapterAllocator (size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XStringAdapterAllocator ()
- string_type* createString (const XObjectPtr& theXObject)
    Create an XString object from a string. More...
- string_type* clone (const string_type& value)
    Clone an XStringAdapter object. More...
- bool destroy (string_type* theString)
    Delete an XStringAdapter object from allocator.
- bool ownsObject (const string_type* theObject)
    Determine if an object is owned by the allocator...
- void reset ()
    Delete all XStringAdapter objects from allocator.
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated. More...

## Member Typedef Documentation

typedef ReusableArenaAllocator<string_type> XStringAdapterAllocator::ArenaAllocatorType

typedef ArenaAllocatorType::size_type XStringAdapterAllocator::size_type

typedef XStringAdapter XStringAdapterAllocator::string_type

## Constructor & Destructor Documentation

XStringAdapterAllocator::XStringAdapterAllocator ( | size_type theBlockCount )

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XStringAdapterAllocator::~XStringAdapterAllocator ( | )

## Member Function Documentation

string_type * XStringAdapterAllocator::clone ( | const string_type & value )

Clone an XStringAdapter object.

Parameters:

  value | source XStringAdapter

Returns:
  pointer to an XStringAdapter

string_type * XStringAdapterAllocator::createString ( | const XObjectPtr & theXObject )

Create an XString object from a string.

Parameters:

  theXObject | The source XObject

Returns:
  a pointer to string

bool XStringAdapterAllocator::destroy ( | string_type * theString )

Delete an XStringAdapter object from allocator.

size_type XStringAdapterAllocator::getBlockCount ( | ) const`[]`

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

size_type XStringAdapterAllocator::getBlockSize ( | ) const`[]`

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

bool XStringAdapterAllocator::ownsObject ( | const string_type * theObject )`[]`

Determine if an object is owned by the allocator...

void XStringAdapterAllocator::reset ( | )

Delete all XStringAdapter objects from allocator.

The documentation for this class was generated from the following file:

- XStringAdapterAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.